# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tf-store-sqlite"
version = "0.1.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "TrustForge database backend for Sqlite. High-performance storage driver for the TrustForge proof ledger, revocation cache, and evidence archive."
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/KodyDennon/TrustForge"

[lib]
name = "tf_store_sqlite"
path = "src/lib.rs"

[[test]]
name = "sqlite_store"
path = "tests/sqlite_store.rs"

[dependencies.hex]
version = "0.4"

[dependencies.rusqlite]
version = "0.31"
features = ["bundled"]

[dependencies.serde_json]
version = "1"

[dependencies.sha2]
version = "0.10"

[dependencies.tf-types]
version = "0.1.5"

[dependencies.thiserror]
version = "1"

[dev-dependencies.tempfile]
version = "3"
